/*******************************************************************************
* File Name: BGT_ANA2.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BGT_ANA2_ALIASES_H) /* Pins BGT_ANA2_ALIASES_H */
#define CY_PINS_BGT_ANA2_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define BGT_ANA2_0			(BGT_ANA2__0__PC)
#define BGT_ANA2_0_INTR	((uint16)((uint16)0x0001u << BGT_ANA2__0__SHIFT))

#define BGT_ANA2_INTR_ALL	 ((uint16)(BGT_ANA2_0_INTR))

#endif /* End Pins BGT_ANA2_ALIASES_H */


/* [] END OF FILE */
