/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <project.h>

// Prototypes
unsigned char SendSrvcToolCmd(unsigned char, uint8*);


// Variables
uint8 PreProcRangeType;
uint8 PreProcPhaseType;
uint8 NumScans;
uint8 WindowType;


// Preconet commands.
#define CMD_ENT_SERV			    0x01
#define CMD_EXIT_SERV			    0x02
#define CMD_READ_DEVICE_CLASS	    0x03
#define READ_CONTR_CLASS_REV        0x04    
#define CMD_ENT_FACT_CAL_MODE		0x99    // ENTER FACTORY CALIBRATION MODE
#define CMD_GET_RANGE_RESOLUTION    0xB6    // REQUEST RANGE RESOLUTION VALUE
#define CMD_WR_NEW_PVS_RNG			0xA4    // WRITE NEW PREVIEW SENSOR RANGE COMMAND  
#define CMD_ALM_ZONE				0xA9    // ALARM ZONE SETTING COMMAND 
#define CMD_SET_PRE_PROC_SETTNGS	0xBD    // SET RUNNING AVERAGE OR MAX VALUE PRE_PROCESSING SETTING
#define CMD_GET_PRE_PROC_SETTNGS	0xBC    // GET RUNNING AVERAGE OR MAX VALUE PRE_PROCESSING SETTING
#define CMD_REVERT_FACTORY_DEFAULTS	0xC0    // REVERT TO FACTORY DEFAULTS
#define CMD_REQUEST_DATA_SNAPSHOT	0xAC    // REQUEST DATA

// Misc.
#define IQ_DATA_BOTH    7   // Send IQ data for both channels

/* [] END OF FILE */
